{
    "display": {
        "title": [
          { "translate": "rank", "color": "[color]" },
          { "text": " [rank]"}
        ],
        "description": {
            "text": ""
        },
        "icon": {
            "item": "minecraft:slime_ball",
            "nbt": "{CustomModelData:[model]}"
        },
        "frame": "goal",
        "show_toast": true,
        "announce_to_chat": false,
        "hidden": false
    },
    "criteria": { [criteria]
    },
    "rewards": {
         "function": "[fpath]"
    },
    "parent": "[ppath]"
}
